(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 3.0,
MathReader 3.0, or any compatible application. The data for the notebook 
starts with the line of stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     81926,       2822]*)
(*NotebookOutlinePosition[     82563,       2845]*)
(*  CellTagsIndexPosition[     82519,       2841]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
    \(\(a\  = \ 
      SeqPlot[{0, \ 1, \ 4, \ 3, \ 3, \ 1, \ 0}, \ Frame -> True, \ 
        AspectRatio -> 1/3, \ PlotRange -> All]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .33333 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 16  scalefont  setfont
% Scaling calculations
0.02381 0.15873 0.007937 0.075586 [
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.18254 -0.0125 -6 -15 ]
[.18254 -0.0125 6 0 ]
[.34127 -0.0125 -6 -15 ]
[.34127 -0.0125 6 0 ]
[.5 -0.0125 -6 -15 ]
[.5 -0.0125 6 0 ]
[.65873 -0.0125 -6 -15 ]
[.65873 -0.0125 6 0 ]
[.81746 -0.0125 -6 -15 ]
[.81746 -0.0125 6 0 ]
[.97619 -0.0125 -6 -15 ]
[.97619 -0.0125 6 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .00794 -12 -7.5 ]
[-0.0125 .00794 0 7.5 ]
[-0.0125 .08352 -12 -7.5 ]
[-0.0125 .08352 0 7.5 ]
[-0.0125 .15911 -12 -7.5 ]
[-0.0125 .15911 0 7.5 ]
[-0.0125 .23469 -12 -7.5 ]
[-0.0125 .23469 0 7.5 ]
[-0.0125 .31028 -12 -7.5 ]
[-0.0125 .31028 0 7.5 ]
[ 0 0 -0.125 0 ]
[ 0 .33333 .125 0 ]
[ 1 0 .125 0 ]
[ 0 -0.00706 0 0 ]
[ 1 .33333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.18254 0 m
.18254 .00625 L
s
gsave
.18254 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.34127 0 m
.34127 .00625 L
s
gsave
.34127 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.65873 0 m
.65873 .00625 L
s
gsave
.65873 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.81746 0 m
.81746 .00625 L
s
gsave
.81746 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 16.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.97619 0 m
.97619 .00625 L
s
gsave
.97619 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.937500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(6) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
s
0 .00794 m
.00625 .00794 L
s
gsave
-0.0125 .00794 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .08352 m
.00625 .08352 L
s
gsave
-0.0125 .08352 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .15911 m
.00625 .15911 L
s
gsave
-0.0125 .15911 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .23469 m
.00625 .23469 L
s
gsave
-0.0125 .23469 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .31028 m
.00625 .31028 L
s
gsave
-0.0125 .31028 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .02305 m
.00375 .02305 L
s
0 .03817 m
.00375 .03817 L
s
0 .05329 m
.00375 .05329 L
s
0 .06841 m
.00375 .06841 L
s
0 .09864 m
.00375 .09864 L
s
0 .11376 m
.00375 .11376 L
s
0 .12887 m
.00375 .12887 L
s
0 .14399 m
.00375 .14399 L
s
0 .17423 m
.00375 .17423 L
s
0 .18934 m
.00375 .18934 L
s
0 .20446 m
.00375 .20446 L
s
0 .21958 m
.00375 .21958 L
s
0 .24981 m
.00375 .24981 L
s
0 .26493 m
.00375 .26493 L
s
0 .28005 m
.00375 .28005 L
s
0 .29516 m
.00375 .29516 L
s
0 .3254 m
.00375 .3254 L
s
.25 Mabswid
0 0 m
0 .33333 L
s
0 .33333 m
1 .33333 L
s
1 0 m
1 .33333 L
s
1 1 1 r
.5 Mabswid
.02381 .00794 m
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
s
0 w
.02381 .3254 Mdot
.02381 .00794 Mdot
0 g
.012 w
.02381 .00794 m
.02381 .00794 L
s
.18254 .08352 m
.18254 .00794 L
s
.34127 .31028 m
.34127 .00794 L
s
.5 .23469 m
.5 .00794 L
s
.65873 .23469 m
.65873 .00794 L
s
.81746 .08352 m
.81746 .00794 L
s
.97619 .00794 m
.97619 .00794 L
s
.03 w
.02381 .00794 Mdot
.18254 .08352 Mdot
.34127 .31028 Mdot
.5 .23469 Mdot
.65873 .23469 Mdot
.81746 .08352 Mdot
.97619 .00794 Mdot
0 0 m
1 0 L
1 .33333 L
0 .33333 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{392.0625, 130.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000690000P`800@400oooR_l00?ooR_l00?ooR_l0
0?oo=?l00`00<_l010007Ol002[o00@0037o1@0_o`H0<?l01000=?l00c`0;ol013`0<?l83a[o000Y
o`P?<?l00c`0;ol00``01_</o`P?<Ol00c`0<ol00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00`
o`03?00fo`03?00]o`H0=?l00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00ao`03?00eo`03?00]
o`Po<Ol00``0;_l83a[o000Yo`03?006lboo00<l03;o00<l03?o00<l02oo00@l03?o00<<033o00@0
01go000Yo`03?006lboo00<l03;o00<<037o00<<037o00@<037o00<003;o00<l01ko000Yo`03?006
lboo00<l03?o00<l03;o00<l033o00<`037o00<l03?o00<l01go000Yo`03?006lboo00<l02oo23l]
o`03?006lboo00<<037o00<l03?o00<<01co000Yo`P?;_l00`00<Ol5333o20l`o`03300ao`04000c
o`03300Ko`00:_l01000<ol00c`0<?l00`00<_l01000=?l00c`0QOl00?ooR_l00?ooR_l00?ooR_l0
02_o00@00?oo>ol010007?l001So00@000go203oocOo200Jo`005ol83`Goo`1A01Go000Go`03?006
l`03o006c`T0;ol00``0<_l00``0<_l00``0<_l00``0<_l00``0;_l:00Ol4_l001Oo00<l00Kc00?l
00K?2@0^o`04000ao`04000ao`04000ao`04000ao`04000^o`X01o`Bo`005ol00c`01_<00o`02<07
02ko00@0037o00@0037o00@0037o00@0037o00@002ko2P07o1;o000Go`03?006l`03o006c`T0;_l0
1000<Ol01000<Ol01000<Ol01000<Ol01000;_l:00Ol4_l001Oo00<l00Kc00?l00G?00?000H0;ol0
1000<Ol01000<Ol01000<Ol01000<Ol01000;ol80003o005ca;o000Go`03?006l`03o005c`03`006
02oo00@0037o00@0037o00@0037o00@0037o00@002oo20000o`01LlBo`005ol83`Go00/oo000<Ol0
1000<Ol01000<Ol01000<Ol01000<Ol01000<Ol010001_l00c`04ol001So00@000So00<003Wo00@0
037o00@0037o00@0037o00@0037o00@003_o00<l01?o000To`03?00io`04000ao`04000ao`04000a
o`04000ao`04000ko`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000>ol0
0c`04ol002Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@003_o00<l01?o000To`03?00i
o`04000ao`04000ao`04000ao`04000ao`04000ko`03?00Co`009?l00`00>Ol01000<Ol01000<Ol0
1000<Ol01000<Ol01000>ol00c`04ol002Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@0
03_o00<l01?o000To`03?00io`04000ao`04000ao`04000ao`04000ao`04000ko`03?00Co`009?l0
0c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000>ol00c`04ol002Co00<l03Wo00@0037o00@0
037o00@0037o00@0037o00@003_o00<l01?o000To`03000io`04000ao`04000ao`04000ao`04000a
o`04000ko`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000>ol00c`04ol0
02Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@003_o00<l01?o000To`03?00io`04000a
o`04000ao`04000ao`04000ao`04000ko`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol0
1000<Ol01000>ol00c`04ol002Co00<003Wo00@0037o00@0037o00@0037o00@0037o00@003_o00<l
01?o000Ho`D01ol00c`0=ol802oo00@0037o00@0037o00@002oo200io`03?00Co`006_l00c`01ol0
0c`0=ol802oo00@0037o00@0037o00@002oo200io`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0
037o00@0037o00@002ko2P0ho`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0037o00@0037o00@0
02ko2P0ho`03?00Co`006_l00c`01ol00`00=_l:02ko00@0037o00@0037o00@002ko2P0ho`03?00C
o`006_l00c`01ol00c`0=_l:02ko00@0037o00@0037o00@002ko2P0ho`03?00Co`006_l00c`01ol0
0c`0=ol802oo00@0037o00@0037o00@002oo200io`03?00Co`006_l00c`01ol00c`0=ol802oo00@0
037o00@0037o00@002oo200io`03?00Co`006?l00`002Ol00c`0>Ol01000<Ol01000<Ol01000<Ol0
1000<Ol01000>ol00c`04ol001[o00<l00Oo00<006ko00@0037o00@0037o00@0073o00<l01?o000T
o`03?01^o`04000ao`04000ao`04001`o`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000L?l0
0c`04ol002Co00<l06ko00@0037o00@0037o00@0073o00<l01?o000To`03?01^o`04000ao`04000a
o`04001`o`03?00Co`009?l00`00K_l01000<Ol01000<Ol01000L?l00c`04ol002Co00<l06ko00@0
037o00@0037o00@0073o00<l01?o000To`03?01^o`04000ao`04000ao`04001`o`03?00Co`009?l0
0c`0K_l01000<Ol01000<Ol01000L?l00c`04ol002Co00<l06ko00@0037o00@0037o00@0073o00<l
01?o000To`03001^o`04000ao`04000ao`04001`o`03?00Co`009?l00c`0K_l01000<Ol01000<Ol0
1000L?l00c`04ol002Co00<l06ko00@0037o00@0037o00@0073o00<l01?o000To`03?01^o`04000a
o`04000ao`04001`o`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000L?l00c`04ol002Co00<0
06ko00@0037o00@0037o00@0073o00<l01?o000Go`H01ol00c`0K_l01000<Ol01000<Ol01000L?l0
0c`04ol001Oo00<<00Kc00?l00G?KOl01000<Ol01000<Ol01000L?l00c`04ol001So00<l00Wo00<l
06ko00@0037o00@0037o00@0073o00<l01?o000Io`03?008o`03?01^o`04000ao`04000ao`04001`
o`03?00Co`006_l00c`01ol00`00K_l01000<Ol01000<Ol01000L?l00c`04ol001[o00<<00Oo00<l
06ko00@0037o00@0037o00@0073o00<l01?o000Ko`03?006o`03?01^o`04000ao`04000ao`04001`
o`03?00Co`005ol8?`Go00<l06ko00@0037o00@0037o00@0073o00<l01?o000Go`D<2?l00c`0K_l0
1000<Ol01000<Ol01000L?l00c`04ol001So00<000Wo00<006ko00@0037o00@0037o00@0073o00<l
01?o000To`03?01^o`04000ao`04000ao`04001`o`03?00Co`009?l00c`0K_l01000<Ol01000<Ol0
1000L?l00c`04ol002Co00<l06ko00@0037o00@0037o00@0073o00<l01?o000To`03?01^o`04000a
o`04000ao`04001`o`03?00Co`009?l00`00K_l01000<Ol01000<Ol01000L?l00c`04ol002Co00<l
06ko00@0037o00@0037o00@0073o00<l01?o000To`03?01^o`04000ao`04000ao`04001`o`03?00C
o`009?l00c`0K_l01000<Ol01000<Ol01000L?l00c`04ol002Co00<l06ko00@0037o00@0037o00@0
073o00<l01?o000To`03001^o`04000ao`04000ao`04001`o`03?00Co`009?l00c`0K_l01000<Ol0
1000<Ol01000L?l00c`04ol002Co00<l06ko00@0037o00@0037o00@0073o00<l01?o000To`03?01^
o`04000ao`04000ao`04001`o`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000L?l00c`04ol0
02Co00<006ko00@0037o00@0037o00@0073o00<l01?o000To`03?01^o`04000ao`04000ao`04001`
o`03?00Co`006?l010002?l00c`0K_l01000;ol802go201^o`03?00Co`005ol83`Go00<l06ko00@0
02oo200]o`P0K_l00c`04ol001co00<l00Go00<l06ko00@002ko2P0[o`X0KOl00c`04ol001co00<l
00Go00<l06ko00@002ko2P0[o`X0KOl00c`04ol001_o00<l00Ko00<006ko00@002ko2P0[o`X0KOl0
0c`04ol001Wo00<<00So00<l06ko00@002ko2P0[o`X0KOl00c`04ol001_o00<l00Ko00<l06ko00@0
02oo200]o`P0K_l00c`04ol001Oo00<l00Kc00?l00G?KOl01000;ol802go201^o`03?00Co`005ol8
3`Go00<l06ko00@0037o00@0037o00@0073o00<l01?o000Ho`040008o`03001^o`04003Jo`03?00C
o`009?l00c`0K_l01000f_l00c`04ol002Co00<l06ko00@00=[o00<l01?o000To`03?01^o`04003J
o`03?00Co`009?l00c`0K_l01000f_l00c`04ol002Co00<006ko00@00=[o00<l01?o000To`03?01^
o`04003Jo`03?00Co`009?l00c`0K_l01000f_l00c`04ol002Co00<l06ko00@00=[o00<l01?o000T
o`03?01^o`04003Jo`03?00Co`009?l00`00K_l01000f_l00c`04ol002Co00<l06ko00@00=[o00<l
01?o000To`03?01^o`04003Jo`03?00Co`009?l00c`0K_l01000f_l00c`04ol002Co00<l06ko00@0
0=[o00<l01?o000To`03001^o`04003Jo`03?00Co`006ol00c`01_l00c`0K?l80=So00<l01?o000K
o`03?006o`03?01/o`P0f?l00c`04ol001Oo1P07o`03?01[o`X0eol00c`04ol001Oo23l5o`03?01[
o`X0eol00c`04ol001So00@l00So00<006_o2P3Go`03?00Co`006?l010`02?l00c`0Jol:0=Oo00<l
01?o000Io`03<008o`03?01/o`P0f?l00c`04ol001[o00<<00Oo00<l06co203Ho`03?00Co`006_l0
0``01ol00c`0K_l01000f_l00c`04ol001_o00<l00Ko00<00?ooCOl00c`04ol002Co00<l0?ooCOl0
0c`04ol002Coo`1A01Go0000\
\>"],
  ImageRangeCache->{{{0, 391.0625}, {129.625, 0}} -> {-0.845126, -0.824394, 
  0.018843, 0.039571}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(SeqPlot[{0, \ 1, \ 4, \ 3, \ 3, \ 1, \ 0}, \ Frame -> True, \ 
      AspectRatio -> 1/3, \ Interpolate -> True, \ PadFactor -> 1, \n\t
      InterpStyle -> {Thickness[0.01], \ Dashing[{0.01, \ 0.01}]}]; \)\)], 
  "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .33333 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 16  scalefont  setfont
% Scaling calculations
0.02381 0.15873 0.007937 0.075586 [
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.18254 -0.0125 -6 -15 ]
[.18254 -0.0125 6 0 ]
[.34127 -0.0125 -6 -15 ]
[.34127 -0.0125 6 0 ]
[.5 -0.0125 -6 -15 ]
[.5 -0.0125 6 0 ]
[.65873 -0.0125 -6 -15 ]
[.65873 -0.0125 6 0 ]
[.81746 -0.0125 -6 -15 ]
[.81746 -0.0125 6 0 ]
[.97619 -0.0125 -6 -15 ]
[.97619 -0.0125 6 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .00794 -12 -7.5 ]
[-0.0125 .00794 0 7.5 ]
[-0.0125 .08352 -12 -7.5 ]
[-0.0125 .08352 0 7.5 ]
[-0.0125 .15911 -12 -7.5 ]
[-0.0125 .15911 0 7.5 ]
[-0.0125 .23469 -12 -7.5 ]
[-0.0125 .23469 0 7.5 ]
[-0.0125 .31028 -12 -7.5 ]
[-0.0125 .31028 0 7.5 ]
[ 0 0 -0.125 0 ]
[ 0 .33333 .125 0 ]
[ 1 0 .125 0 ]
[ 0 -0.00706 0 0 ]
[ 1 .33333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.18254 0 m
.18254 .00625 L
s
gsave
.18254 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.34127 0 m
.34127 .00625 L
s
gsave
.34127 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.65873 0 m
.65873 .00625 L
s
gsave
.65873 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.81746 0 m
.81746 .00625 L
s
gsave
.81746 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 16.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.97619 0 m
.97619 .00625 L
s
gsave
.97619 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.937500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(6) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
s
0 .00794 m
.00625 .00794 L
s
gsave
-0.0125 .00794 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .08352 m
.00625 .08352 L
s
gsave
-0.0125 .08352 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .15911 m
.00625 .15911 L
s
gsave
-0.0125 .15911 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .23469 m
.00625 .23469 L
s
gsave
-0.0125 .23469 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .31028 m
.00625 .31028 L
s
gsave
-0.0125 .31028 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .02305 m
.00375 .02305 L
s
0 .03817 m
.00375 .03817 L
s
0 .05329 m
.00375 .05329 L
s
0 .06841 m
.00375 .06841 L
s
0 .09864 m
.00375 .09864 L
s
0 .11376 m
.00375 .11376 L
s
0 .12887 m
.00375 .12887 L
s
0 .14399 m
.00375 .14399 L
s
0 .17423 m
.00375 .17423 L
s
0 .18934 m
.00375 .18934 L
s
0 .20446 m
.00375 .20446 L
s
0 .21958 m
.00375 .21958 L
s
0 .24981 m
.00375 .24981 L
s
0 .26493 m
.00375 .26493 L
s
0 .28005 m
.00375 .28005 L
s
0 .29516 m
.00375 .29516 L
s
0 .3254 m
.00375 .3254 L
s
.25 Mabswid
0 0 m
0 .33333 L
s
0 .33333 m
1 .33333 L
s
1 0 m
1 .33333 L
s
1 1 1 r
.5 Mabswid
.02381 .00794 m
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
s
0 g
.01 w
[ .01 .01 ] 0 setdash
.02381 .00794 m
.18254 .08352 L
.34127 .31028 L
.5 .23469 L
.65873 .23469 L
.81746 .08352 L
.97619 .00794 L
s
1 1 1 r
0 w
.02381 .3254 Mdot
.02381 .00794 Mdot
0 g
.012 w
[ ] 0 setdash
.02381 .00794 m
.02381 .00794 L
s
.18254 .08352 m
.18254 .00794 L
s
.34127 .31028 m
.34127 .00794 L
s
.5 .23469 m
.5 .00794 L
s
.65873 .23469 m
.65873 .00794 L
s
.81746 .08352 m
.81746 .00794 L
s
.97619 .00794 m
.97619 .00794 L
s
.03 w
.02381 .00794 Mdot
.18254 .08352 Mdot
.34127 .31028 Mdot
.5 .23469 Mdot
.65873 .23469 Mdot
.81746 .08352 Mdot
.97619 .00794 Mdot
0 0 m
1 0 L
1 .33333 L
0 .33333 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{392.0625, 130.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000690000P`800@400oooR_l00?ooR_l00?ooR_l0
0?oo=?l00`00<_l010007Ol002[o00@0037o1@0_o`H0<?l01000=?l00c`0;ol013`0<?l83a[o000Y
o`P?<?l00c`0;ol00``01_</o`P?<Ol00c`0<ol00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00`
o`03?00fo`03?00]o`H0=?l00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00ao`03?00eo`03?00]
o`Po<Ol00``0;_l83a[o000Yo`03?006lboo00<l03;o00<l03?o00<l02oo00@l03?o00<<033o00@0
01go000Yo`03?006lboo00<l03;o00<<037o00<<037o00@<037o00<003;o00<l01ko000Yo`03?006
lboo00<l03?o00<l03;o00<l033o00<`037o00<l03?o00<l01go000Yo`03?006lboo00<l02oo23l]
o`03?006lboo00<<037o00<l03?o00<<01co000Yo`P?;_l00`00<Ol5333o20l`o`03300ao`04000c
o`03300Ko`00:_l01000<ol00c`0<?l00`00<_l01000=?l00c`0QOl00?ooR_l00?ooR_l00?ooR_l0
02_o00@00?oo>ol010007?l001So00@000go203oocOo200Jo`005ol83`Goo`1A01Go000Go`03?006
l`03o006c`T0;ol00``0<_l00``0<_l00``0<_l00``0<_l00``0;_l:00Ol4_l001Oo00<l00Kc00?l
00K?2@0^o`04000ao`04000ao`04000ao`04000ao`04000^o`X01o`Bo`005ol00c`01_<00o`02<07
02ko00@0037o00@0037o00@0037o00@0037o00@002ko2P07o1;o000Go`03?006l`03o006c`T0;_l0
1000<Ol01000<Ol01000<Ol01000<Ol01000;Ol;00Ol4_l001Oo00<l00Kc00?l00G?00?000H01L0Z
o`04000ao`04000ao`04000ao`04000ao`04000/o`/000?l00G?4_l001Oo00<l00Kc00?l00G?00?0
00H000K0000Yo`04000ao`04000ao`04000ao`04000ao`04000[o``000?l00G?4_l001Oo20l5o`0C
?o`3o000:Ol01000<Ol01000<Ol01000<Ol01000<Ol010009ol010001Ll01L001_l00c`04ol001So
00@000So00<000ko1``To`04000ao`04000ao`04000ao`04000ao`04000Vo`D04?l00c`04ol002Co
00<l017o1@0So`04000ao`04000ao`04000ao`04000ao`04000Uo`04000Bo`03?00Co`009?l00c`0
4_l010008ol01000<Ol01000<Ol01000<Ol01000<Ol010008Ol010005_l00c`04ol002Co00<l01Co
1C`00c`07Ol01000<Ol01000<Ol01000<Ol01000<Ol010008?l010005ol00c`04ol002Co00<l01Oo
1@0Mo`04000ao`04000ao`04000ao`04000ao`04000Mo`D`00<l01Ko00<l01?o000To`03000Ho`04
000Mo`04000ao`04000ao`04000ao`04000ao`04000Ko`04000Lo`03?00Co`009?l00c`07Ol01000
6?l01000<Ol01000<Ol01000<Ol01000<Ol010006Ol501go00<l01?o000To`03?00Mo`D05ol01000
<Ol01000<Ol01000<Ol01000<Ol010005_l63003?00Lo`03?00Co`009?l00c`07ol00`001_<Ao`04
000ao`04000ao`04000ao`04000ao`04000Do`D08_l00c`04ol002Co00<l02?o00@001;o00@0037o
00@0037o00@0037o00@0037o00@001?o1@0So`03?00Co`009?l00`008ol5017o00@0037o00@0037o
00@0037o00@0037o00@0013o1``To`03?00Co`009?l00c`09Ol60`ko00@0037o00@0037o00@0037o
00@0037o00@000ko1@0Xo`03?00Co`009?l00c`0:Ol010003?l01000<Ol01000<Ol01000<Ol01000
<Ol010003Ol502Wo00<l01?o000To`03?00Yo`D02ol01000<Ol01000<Ol01000<Ol01000<Ol01000
2_l732[o00<l01?o000To`03?00[o`P31_l01000<Ol01000<Ol01000<Ol01000<Ol010002?l01000
;ol00c`04ol002Co00<002oo1@05o`04000ao`04000ao`04000ao`04000ao`040007o`D0;ol00c`0
4ol001So1@07o`03?00_o`D000?l00P0;ol01000<Ol01000<Ol01000;ol800W0<?l00c`04ol001[o
00<l00Oo00<l03;o1Pl702oo00@0037o00@0037o00@002oo300eo`03?00Co`006_l00c`01ol00c`0
=Ol;02ko00@0037o00@0037o00@002ko3@0eo`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0037o
00@0037o00@002ko2P0ho`03?00Co`006_l00c`01ol00`00=_l:02ko00@0037o00@0037o00@002ko
2P0ho`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0037o00@0037o00@002ko2P0ho`03?00Co`00
6_l00c`01ol00c`0=ol802oo00@0037o00@0037o00@002oo200io`03?00Co`006_l00c`01ol00c`0
=ol802oo00@0037o00@0037o00@002ko2@0io`03?00Co`006?l00`002Ol00c`0>Ol602oo00@0037o
00@0037o00@002go1`<00c`0>Ol00c`04ol001[o00<l00Oo00<006ko00@0037o00@0037o00@002co
00@0043o00<l01?o000To`03?00oo`03300/o`04000ao`04000ao`04000/o`030011o`03?00Co`00
9?l00c`0?ol00``0;?l01000<Ol01000<Ol01000;Ol00c`0@?l00c`04ol002Co00<l03oo00<002co
00@0037o00@0037o00@002Wo00<<04Co00<l01?o000To`03?010o`03300[o`04000ao`04000ao`04
000Xo`030015o`03?00Co`009?l00`00@?l00``0:ol01000<Ol01000<Ol010009ol01000AOl00c`0
4ol002Co00<l06ko00@0037o00@0037o00@002Oo00<004Ko00<l01?o000To`03?012o`03000Yo`04
000ao`04000ao`04000To`030019o`03?00Co`009?l00c`0@ol00`00:?l01000<Ol01000<Ol01000
8ol01000BOl00c`04ol002Co00<l04?o00<002So00@0037o00@0037o00@002;o1@19o`03?00Co`00
9?l00`00A?l00``09ol01000<Ol01000<Ol010008_l01000B_l00c`04ol002Co00<l06ko00@0037o
00@0037o00@002?o00<l04[o00<l01?o000To`03?017o`03?00To`04000ao`04000ao`04000Oo`03
301>o`03?00Co`009?l00c`0A_l00`009Ol01000<Ol01000<Ol010007_l01000C_l00c`04ol002Co
00<l04Oo00<002Co00@0037o00@0037o00@001go00@004oo00<l01?o000To`030017o`03000To`04
000ao`04000ao`04000Mo`03001@o`03?00Co`005ol600Oo00<l04So00<l02?o00@0037o00@0037o
00@0073o00<l01?o000Go`033006l`03o005cfgo00@0037o00@0037o00@001[o00<005?o00<l01?o
000Ho`03?009o`03?01:o`03000Qo`04000ao`04000ao`04000Io`04001Co`03?00Co`006Ol00c`0
2?l00c`0B_l00`008Ol01000<Ol01000<Ol010006?l01000E?l00c`04ol001[o00<l00Oo00<004_o
00<0023o00@0037o00@0037o00@001Wo00<<05Co00<l01?o000Jo`033007o`03?01<o`03300Oo`04
000ao`04000ao`04000Fo`03?01Go`03?00Co`006ol00c`01_l00c`0K_l01000<Ol01000<Ol01000
5Ol00`00F?l00c`04ol001Oo23l5o`03?01>o`03300Mo`04000ao`04000ao`04000Do`04001Ho`03
?00Co`005ol530So00<l04ko00<001go00@0037o00@0037o00@001Co00<005Wo00<l01?o000Ho`03
0009o`03001>o`03000Mo`04000ao`04000ao`04000Do`03301Io`03?00Co`009?l00c`0Col00`00
7?l01000<Ol01000<Ol010004Ol00``0G?l00c`04ol002Co00<l053o00<l01_o00@0037o00@0037o
00@000oo00@005go00<l01?o000To`03?01^o`04000ao`04000ao`04000?o`04001Mo`03?00Co`00
9?l00c`0D_l00``06Ol01000<Ol01000<Ol010003ol00`00G_l00c`04ol002Co00<005;o00<001Wo
00@0037o00@0037o00@000co00<<067o00<l01?o000To`03?01Co`03000Ho`04000ao`04000ao`04
000;o`03001Ro`03?00Co`009?l00c`0Dol00`006?l01000<Ol01000<Ol010002_l01000H_l00c`0
4ol002Co00<l06ko00@0037o00@0037o00@000[o00<006?o00<l01?o000To`03?01Fo`03300Eo`04
000ao`04000ao`04000;o`03?01Ro`03?00Co`009?l00`00E_l00``05Ol01000<Ol01000<Ol01000
1ol00`00I_l00c`04ol002Co00<l05Ko00<001Go00@0037o00@0037o00@000Ko00@006Ko00<l01?o
000To`03?01Go`03300Do`04000ao`04000ao`040005o`04001Wo`03?00Co`009?l00c`0F?l00c`0
4ol01000<Ol01000<Ol010001Ol00`00J?l00c`04ol002Co00<l06ko00@0037o00@0037o00@0073o
00<l01?o000To`03001Io`03000Bo`04000ao`04000ao`030007?6[o00<l01?o000To`03?01Jo`03
000Ao`04000ao`04000ao`030005<003?01Yo`03?00Co`006?l010002?l00c`0F_l00`004Ol01000
;ol802go2P1/o`03?00Co`005ol83`Go00<l05_o00<<013o00@002oo200]o`T0KOl00c`04ol001co
00<l00Go00<l06ko00@002ko2P0[o`X0KOl00c`04ol001co00<l00Go00<l05ko00<l00go00@002ko
3@001O001Cl01@?01@001O001Pl01@o03P1]o`03?00Co`006ol00c`01_l00`00GOl00`003_l01000
;_lD0003`00H0003`00=06go00<l01?o000Io`033008o`03?01No`03000=o`04000^o`d000G`00Do
00D3`0D000G`00H?00D?`0h0KOl00c`04ol001_o00<l00Ko00<l05oo00<<00co00@002_o300]o`P0
K_l00c`04ol001Oo00<l00Kc00?l00G?G_l00``03?l01000:_l00`001C0502go201^o`03?00Co`00
5ol83`Go00<l067o00<l00[o00@002Oo1C002Co0000ao`04001`o`03?00Co`006?l010002?l00`00
HOl00`002_l010009?l50;7o00<l01?o000To`03?01Qo`03000:o`04000So`D0/_l00c`04ol002Co
00<l06;o00<000Wo00@0023o1P`00c`0/Ol00c`04ol002Co00<l06?o00<<00So00@001ko1@2go`03
?00Co`009?l00c`0K_l010007Ol50;So00<l01?o000To`03001Uo`033006o`04000Jo`H0^_l00c`0
4ol002Co00<l06Go00<000Ko00@001So1@2mo`03?00Co`009?l00c`0I_l00`001Ol010005ol50;ko
00<l01?o000To`03?01Vo`030005o`04000Do`L<_ol00c`04ol002Co00<l06Oo00/?o0004_l01000
a?l00c`04ol002Co00<006Wo00To`0004Ol50<Co00<l01?o000To`03?01Yo`093l0000go20?5o`03
?00Co`009?l00c`0JOl02@?0000;o`D0b_l00c`04ol002Co00<l06[o1`<00c`02Ol01000bol00c`0
4ol002Co00<l06[o1`<00c`01Ol00`001_?:o`03?00Co`009?l00`00K_l010001Ol50=3o00<l01?o
000Ko`03?006o`03?01/o`P000?l00G0d?l00c`04ol001_o00<l00Ko00<l06co2P3Fo`03?00Co`00
5ol600Oo00<l06_o2`3Fo`03?00Co`005ol8?`Go00<l06_o2P3Go`03?00Co`006?l013`02?l00`00
Jol:0=Oo00<l01?o000Ho`043008o`03?01[o`X0eol00c`04ol001Wo00<`00So00<l06co203Ho`03
?00Co`006_l00``01ol00c`0K?l80=So00<l01?o000Jo`033007o`03?01^o`04003Jo`03?00Co`00
6ol00c`01_l00`00oom=o`03?00Co`009?l00c`0oom=o`03?00Co`009?oo05405Ol00001\
\>"],
  ImageRangeCache->{{{0, 391.0625}, {129.625, 0}} -> {-0.845126, -0.824394, 
  0.018843, 0.039571}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(constant\  = \ 
      Graphics[{\n\t\t\t\ Thickness[0.01], \ Dashing[{0.01, \ 0.01}], \n
          \t\t\t\ Line[{{0, 0}, \ {1, 0}, {1, 1}, \ {2, 1}, \ {2, \ 4}, 
              \ {3, \ 4}, \ {3, \ 3}, \ {4, \ 3}, \ {5, \ 3}, \ {5, \ 1}, 
              \ {6, \ 1}, \ {6, \ 0}}]}]; \)\)], "Input"],

Cell[BoxData[
    \(General::"spell1" \( : \ \) 
      "Possible spelling error: new symbol name \"\!\(constant\)\" is similar \
to existing symbol \"\!\(Constant\)\"."\)], "Message"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[a, \ constant]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .33333 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 16  scalefont  setfont
% Scaling calculations
0.02381 0.15873 0.007937 0.075586 [
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.18254 -0.0125 -6 -15 ]
[.18254 -0.0125 6 0 ]
[.34127 -0.0125 -6 -15 ]
[.34127 -0.0125 6 0 ]
[.5 -0.0125 -6 -15 ]
[.5 -0.0125 6 0 ]
[.65873 -0.0125 -6 -15 ]
[.65873 -0.0125 6 0 ]
[.81746 -0.0125 -6 -15 ]
[.81746 -0.0125 6 0 ]
[.97619 -0.0125 -6 -15 ]
[.97619 -0.0125 6 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .00794 -12 -7.5 ]
[-0.0125 .00794 0 7.5 ]
[-0.0125 .08352 -12 -7.5 ]
[-0.0125 .08352 0 7.5 ]
[-0.0125 .15911 -12 -7.5 ]
[-0.0125 .15911 0 7.5 ]
[-0.0125 .23469 -12 -7.5 ]
[-0.0125 .23469 0 7.5 ]
[-0.0125 .31028 -12 -7.5 ]
[-0.0125 .31028 0 7.5 ]
[ 0 0 -0.125 0 ]
[ 0 .33333 .125 0 ]
[ 1 0 .125 0 ]
[ 0 -0.00706 0 0 ]
[ 1 .33333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.18254 0 m
.18254 .00625 L
s
gsave
.18254 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.34127 0 m
.34127 .00625 L
s
gsave
.34127 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.65873 0 m
.65873 .00625 L
s
gsave
.65873 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.81746 0 m
.81746 .00625 L
s
gsave
.81746 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 16.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.97619 0 m
.97619 .00625 L
s
gsave
.97619 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.937500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(6) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
s
0 .00794 m
.00625 .00794 L
s
gsave
-0.0125 .00794 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .08352 m
.00625 .08352 L
s
gsave
-0.0125 .08352 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .15911 m
.00625 .15911 L
s
gsave
-0.0125 .15911 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .23469 m
.00625 .23469 L
s
gsave
-0.0125 .23469 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .31028 m
.00625 .31028 L
s
gsave
-0.0125 .31028 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .02305 m
.00375 .02305 L
s
0 .03817 m
.00375 .03817 L
s
0 .05329 m
.00375 .05329 L
s
0 .06841 m
.00375 .06841 L
s
0 .09864 m
.00375 .09864 L
s
0 .11376 m
.00375 .11376 L
s
0 .12887 m
.00375 .12887 L
s
0 .14399 m
.00375 .14399 L
s
0 .17423 m
.00375 .17423 L
s
0 .18934 m
.00375 .18934 L
s
0 .20446 m
.00375 .20446 L
s
0 .21958 m
.00375 .21958 L
s
0 .24981 m
.00375 .24981 L
s
0 .26493 m
.00375 .26493 L
s
0 .28005 m
.00375 .28005 L
s
0 .29516 m
.00375 .29516 L
s
0 .3254 m
.00375 .3254 L
s
.25 Mabswid
0 0 m
0 .33333 L
s
0 .33333 m
1 .33333 L
s
1 0 m
1 .33333 L
s
1 1 1 r
.5 Mabswid
.02381 .00794 m
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
s
0 w
.02381 .3254 Mdot
.02381 .00794 Mdot
0 g
.012 w
.02381 .00794 m
.02381 .00794 L
s
.18254 .08352 m
.18254 .00794 L
s
.34127 .31028 m
.34127 .00794 L
s
.5 .23469 m
.5 .00794 L
s
.65873 .23469 m
.65873 .00794 L
s
.81746 .08352 m
.81746 .00794 L
s
.97619 .00794 m
.97619 .00794 L
s
.03 w
.02381 .00794 Mdot
.18254 .08352 Mdot
.34127 .31028 Mdot
.5 .23469 Mdot
.65873 .23469 Mdot
.81746 .08352 Mdot
.97619 .00794 Mdot
.01 w
[ .01 .01 ] 0 setdash
.02381 .00794 m
.18254 .00794 L
.18254 .08352 L
.34127 .08352 L
.34127 .31028 L
.5 .31028 L
.5 .23469 L
.65873 .23469 L
.81746 .23469 L
.81746 .08352 L
.97619 .08352 L
.97619 .00794 L
s
0 0 m
1 0 L
1 .33333 L
0 .33333 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{392.0625, 130.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000690000P`800@400oooR_l00?ooR_l00?ooR_l0
0?oo=?l00`00<_l010007Ol002[o00@0037o1@0_o`H0<?l01000=?l00c`0;ol013`0<?l83a[o000Y
o`P?<?l00c`0;ol00``01_</o`P?<Ol00c`0<ol00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00`
o`03?00fo`03?00]o`H0=?l00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00ao`03?00eo`03?00]
o`Po<Ol00``0;_l83a[o000Yo`03?006lboo00<l03;o00<l03?o00<l02oo00@l03?o00<<033o00@0
01go000Yo`03?006lboo00<l03;o00<<037o00<<037o00@<037o00<003;o00<l01ko000Yo`03?006
lboo00<l03?o00<l03;o00<l033o00<`037o00<l03?o00<l01go000Yo`03?006lboo00<l02oo23l]
o`03?006lboo00<<037o00<l03?o00<<01co000Yo`P?;_l00`00<Ol5333o20l`o`03300ao`04000c
o`03300Ko`00:_l01000<ol00c`0<?l00`00<_l01000=?l00c`0QOl00?ooR_l00?ooR_l00?ooR_l0
02_o00@00?oo>ol010007?l001So00@000go203oocOo200Jo`005ol83`Goo`1A01Go000Go`03?006
l`03o006c`T0;ol00``0<_l00``0<_l00``0<_l00``0<_l00``0;_l:00Ol4_l001Oo00<l00Kc00?l
00K?2@001<001Cl01@?01@001O001Cl01@?01@000o00200ao`04000ao`04000ao`04000ao`04000^
o`X01o`Bo`005ol00c`01_<00o`02<0=0003`00A0003`00E037o00@0037o00@0037o00@0037o00@0
02ko2P07o1;o000Go`03?006l`03o006c`T000C000Do00D3`0D000G`00Do00D3`0D000?`00P0<Ol0
1000<Ol01000<Ol01000<Ol01000;_l:00Ol4_l001Oo00<l00Kc00?l00G?00?000H0;ol01000<Ol0
1000<Ol01000<Ol01000<Ol01000;ol80003o005ca;o000Go`03?006l`03o005c`03`00602oo00@0
037o00@0037o00@0037o00@0037o00@002oo20000o`01LlBo`005ol83`Go00/oo000<Ol01000<Ol0
1000<Ol01000<Ol01000<Ol01000<Ol010001_l00c`04ol001So00@000So00<003Wo00@0037o00@0
037o00@0037o00@0037o00@003;o00<000Ko00<l01?o000To`03?00io`04000ao`04000ao`04000a
o`04000ao`04000co`03?005o`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol0
1000>ol00c`04ol002Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@003?o00<l00Go00<l
01?o000To`03?00io`04000ao`04000ao`04000ao`04000ao`04000bo`030006o`03?00Co`009?l0
0`00>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000<_l00`001_l00c`04ol002Co00<l03Wo00@0
037o00@0037o00@0037o00@0037o00@003;o00<000Ko00<l01?o000To`03?00io`04000ao`04000a
o`04000ao`04000ao`04000bo`030006o`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol0
1000<Ol01000<ol00c`01Ol00c`04ol002Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@0
03?o00<l00Go00<l01?o000To`03000io`04000ao`04000ao`04000ao`04000ao`04000bo`030006
o`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000<_l00`001_l00c`04ol0
02Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@003;o00<000Ko00<l01?o000To`03?00i
o`04000ao`04000ao`04000ao`04000ao`04000bo`030006o`03?00Co`009?l00c`0>Ol01000<Ol0
1000<Ol01000<Ol01000<Ol01000<_l00`001_l00c`04ol002Co00<003Wo00@0037o00@0037o00@0
037o00@0037o00@003?o00<l00Go00<l01?o000Ho`D01ol00c`0=ol802oo00@0037o00@0037o00@0
02oo200ao`03?005o`03?00Co`006_l00c`01ol00c`0=ol802oo00@0037o00@0037o00@002oo200`
o`030006o`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0037o00@0037o00@002ko2P0_o`030006
o`03?00Co`006_l00c`01ol00c`0=_l;0005l005?`050l050005l005?`050l050003l006037o00@0
037o00@002ko3`001O001Cl020?`1Pl020?01Cl010<01L05o`03?00Co`006_l00c`01ol00`00=_lB
0003`00A0003`00C037o00@0037o00@002ko5P001<001`<@0003`00800Ko00<l01?o000Jo`03?007
o`03?00fo`/000G`00Do00D3`0D000G`00Do00D3`0D000?`00H0<Ol01000<Ol01000;_l?0005l005
?`080o063`080l05?`030006l0Go00<l01?o000Jo`03?007o`03?00go`P0;ol01000<Ol01000<Ol0
1000;ol803Wo00<l01?o000Jo`03?007o`03?00go`P0;ol01000<Ol01000<Ol01000;ol803Wo00<l
01?o000Ho`030009o`03?00io`04000ao`04000ao`04000ao`04000ao`04000ko`03?00Co`006_l0
0c`01ol00`00K_l01000<Ol01000<Ol01000<_l00`00>ol00c`04ol002Co00<l06ko00@0037o00@0
037o00@003;o00<003_o00<l01?o000To`03?01^o`04000ao`04000ao`04000bo`03000ko`03?00C
o`009?l00c`0K_l01000<Ol01000<Ol01000<_l00`00>ol00c`04ol002Co00<l06ko00@0037o00@0
037o00@003?o00<l03[o00<l01?o000To`03001^o`04000ao`04000ao`04000co`03?00jo`03?00C
o`009?l00c`0K_l01000<Ol01000<Ol01000<_l00`00>ol00c`04ol002Co00<l06ko00@0037o00@0
037o00@003;o00<003_o00<l01?o000To`03?01^o`04000ao`04000ao`04000bo`03000ko`03?00C
o`009?l00c`0K_l01000<Ol01000<Ol01000<_l00`00>ol00c`04ol002Co00<006ko00@0037o00@0
037o00@003?o00<l03[o00<l01?o000To`03?01^o`04000ao`04000ao`04001`o`03?00Co`009?l0
0c`0K_l01000<Ol01000<Ol01000<ol00c`0>_l00c`04ol002Co00<l06ko00@0037o00@0037o00@0
03;o00<003_o00<l01?o000To`03?01^o`04000ao`04000ao`04000bo`03000ko`03?00Co`009?l0
0`00K_l01000<Ol01000<Ol01000<_l00`00>ol00c`04ol001Oo1P07o`03?01^o`04000ao`04000a
o`04000bo`03000ko`03?00Co`005ol00``01_<00o`01Lm]o`04000ao`04000ao`04000co`03?00j
o`03?00Co`006?l00c`02Ol00c`0K_l01000<Ol01000<Ol01000<ol00c`0>_l00c`04ol001Wo00<l
00So00<l06ko00@0037o00@0037o00@003;o00<003_o00<l01?o000Jo`03?007o`03001^o`04000a
o`04000ao`04000bo`03000ko`03?00Co`006_l00``01ol00c`0K_l01000<Ol01000<Ol01000<_l0
0`00>ol00c`04ol001_o00<l00Ko00<l06ko00@0037o00@0037o00@003;o00<003_o00<l01?o000G
o`Po1Ol00c`0K_l01000<Ol01000<Ol01000<_l00`00>ol00c`04ol001Oo1@`8o`03?01^o`04000a
o`04000ao`04000co`03?00jo`03?00Co`006?l00`002Ol00`00K_l01000<Ol01000<Ol01000<ol0
0c`0>_l00c`04ol002Co00<l06ko00@0037o00@0037o00@003;o00<003_o00<l01?o000To`03?01^
o`04000ao`04000ao`04000bo`03000ko`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000<_l0
0`00>ol00c`04ol002Co00<l06ko00@0037o00@0037o00@003;o00<003_o00<l01?o000To`03001^
o`04000ao`04000ao`04000co`03?00jo`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000L?l0
0c`04ol002Co00<l06ko00@0037o00@0037o00@003?o00<l03[o00<l01?o000To`03?01^o`04000a
o`04000ao`04000bo`03000ko`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000<_l00`00>ol0
0c`04ol002Co00<006ko00@0037o00@0037o00@003;o00<003_o00<l01?o000To`03?01^o`04000a
o`04000ao`04000bo`03000ko`03?00Co`009?l00c`0K_l01000<Ol01000<Ol01000<ol00c`0>_l0
0c`04ol002Co00<l06ko00@0037o00@0037o00@003?o00<l03[o00<l01?o000To`03?01^o`04000a
o`04000ao`04000bo`03000ko`03?00Co`009?l00`00K_l01000<Ol01000<Ol01000<_l00`00>ol0
0c`04ol002Co00<l06ko00@0037o00@0037o00@003;o00<003_o00<l01?o000Ho`040008o`03?01^
o`04000_o`P0;Ol8033o00<003_o00<l01?o000Go`P?1Ol00c`0K_l01000;ol802go200`o`03000k
o`03?00Co`007?l00c`01Ol00c`0K_l01000;_l:02_o2P0`o`03?00jo`03?00Co`007?l00c`01Ol0
0c`0K_l01000;_l;0005l0063`073l063`080l05?`050l0;0005o0063`080l05?`050l050005l005
?`03000mo`03?00Co`006ol00c`01_l00`00K_l01000;_lI0003`00A0003`00A0003`00A0003`00A
0007`00lo`03?00Co`006Ol00``02?l00c`0K_l01000;_l;0005l0063`073l063`080l05?`050l0;
0005o0063`080l05?`050l050005l005?`03000mo`03?00Co`006ol00c`01_l00c`0K_l01000;ol8
02go201^o`03?00Co`005ol00c`01_<00o`01Lm]o`04000_o`P0;Ol806ko00<l01?o000Go`P?1Ol0
0c`0K_l01000<Ol01000<Ol01000L?l00c`04ol001So00@000So00<006ko00@003?o00<l0:Co00<l
01?o000To`03?01^o`04003Jo`03?00Co`009?l00c`0K_l01000<ol00c`0Y?l00c`04ol002Co00<l
06ko00@003;o00<00:Go00<l01?o000To`03?01^o`04000bo`03002Uo`03?00Co`009?l00`00K_l0
1000<_l00`00YOl00c`04ol002Co00<l06ko00@003;o00<00:Go00<l01?o000To`03?01^o`04000c
o`03?02To`03?00Co`009?l00c`0K_l01000<ol00c`0Y?l00c`04ol002Co00<l06ko00@003;o00<0
0:Go00<l01?o000To`03001^o`04000bo`03002Uo`03?00Co`009?l00c`0K_l01000<_l00`00YOl0
0c`04ol002Co00<l06ko00@003;o00<00:Go00<l01?o000To`03?01^o`04000bo`03002Uo`03?00C
o`009?l00c`0K_l01000<ol00c`0Y?l00c`04ol002Co00<006ko00@003?o00<l0:Co00<l01?o000K
o`03?006o`03?01/o`P0<?l00`00YOl00c`04ol001_o00<l00Ko00<l06co200`o`03002Uo`03?00C
o`005ol600Oo00<l06_o2P0_o`03002Uo`03?00Co`005ol8?`Go00<l06_o2P001<001Pl01`o01Pl0
20?01Cl01@?01@05`:Co00<l01?o000Ho`04?008o`03001[oaL000?0014000?000/01LnSo`03?00C
o`006?l010`02?l00c`0Jol:0004`0063`073l063`080l05?`050l050:Wo00<l01?o000Io`03<008
o`03?01/o`P0f?l00c`04ol001[o00<<00Oo00<l06co203Ho`03?00Co`006_l00``01ol00c`0K_l0
1000f_l00c`04ol001_o00<l00Ko00<00?ooCOl00c`04ol002Co00<l0?ooCOl00c`04ol002Coo`1A
01Go0000\
\>"],
  ImageRangeCache->{{{0, 391.0625}, {129.625, 0}} -> {-0.845126, -0.824394, 
  0.018843, 0.039571}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f1\  = \ Plot[x^2\ , \ {x, \ 0, \ 1}]\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.014715 0.588604 [
[.21429 .00222 -9 -9 ]
[.21429 .00222 9 0 ]
[.40476 .00222 -9 -9 ]
[.40476 .00222 9 0 ]
[.59524 .00222 -9 -9 ]
[.59524 .00222 9 0 ]
[.78571 .00222 -9 -9 ]
[.78571 .00222 9 0 ]
[.97619 .00222 -3 -9 ]
[.97619 .00222 3 0 ]
[.01131 .13244 -18 -4.5 ]
[.01131 .13244 0 4.5 ]
[.01131 .25016 -18 -4.5 ]
[.01131 .25016 0 4.5 ]
[.01131 .36788 -18 -4.5 ]
[.01131 .36788 0 4.5 ]
[.01131 .4856 -18 -4.5 ]
[.01131 .4856 0 4.5 ]
[.01131 .60332 -6 -4.5 ]
[.01131 .60332 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.21429 .01472 m
.21429 .02097 L
s
[(0.2)] .21429 .00222 0 1 Mshowa
.40476 .01472 m
.40476 .02097 L
s
[(0.4)] .40476 .00222 0 1 Mshowa
.59524 .01472 m
.59524 .02097 L
s
[(0.6)] .59524 .00222 0 1 Mshowa
.78571 .01472 m
.78571 .02097 L
s
[(0.8)] .78571 .00222 0 1 Mshowa
.97619 .01472 m
.97619 .02097 L
s
[(1)] .97619 .00222 0 1 Mshowa
.125 Mabswid
.07143 .01472 m
.07143 .01847 L
s
.11905 .01472 m
.11905 .01847 L
s
.16667 .01472 m
.16667 .01847 L
s
.2619 .01472 m
.2619 .01847 L
s
.30952 .01472 m
.30952 .01847 L
s
.35714 .01472 m
.35714 .01847 L
s
.45238 .01472 m
.45238 .01847 L
s
.5 .01472 m
.5 .01847 L
s
.54762 .01472 m
.54762 .01847 L
s
.64286 .01472 m
.64286 .01847 L
s
.69048 .01472 m
.69048 .01847 L
s
.7381 .01472 m
.7381 .01847 L
s
.83333 .01472 m
.83333 .01847 L
s
.88095 .01472 m
.88095 .01847 L
s
.92857 .01472 m
.92857 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13244 m
.03006 .13244 L
s
[(0.2)] .01131 .13244 1 0 Mshowa
.02381 .25016 m
.03006 .25016 L
s
[(0.4)] .01131 .25016 1 0 Mshowa
.02381 .36788 m
.03006 .36788 L
s
[(0.6)] .01131 .36788 1 0 Mshowa
.02381 .4856 m
.03006 .4856 L
s
[(0.8)] .01131 .4856 1 0 Mshowa
.02381 .60332 m
.03006 .60332 L
s
[(1)] .01131 .60332 1 0 Mshowa
.125 Mabswid
.02381 .04415 m
.02756 .04415 L
s
.02381 .07358 m
.02756 .07358 L
s
.02381 .10301 m
.02756 .10301 L
s
.02381 .16187 m
.02756 .16187 L
s
.02381 .1913 m
.02756 .1913 L
s
.02381 .22073 m
.02756 .22073 L
s
.02381 .27959 m
.02756 .27959 L
s
.02381 .30902 m
.02756 .30902 L
s
.02381 .33845 m
.02756 .33845 L
s
.02381 .39731 m
.02756 .39731 L
s
.02381 .42674 m
.02756 .42674 L
s
.02381 .45617 m
.02756 .45617 L
s
.02381 .51503 m
.02756 .51503 L
s
.02381 .54446 m
.02756 .54446 L
s
.02381 .57389 m
.02756 .57389 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .01472 m
.02499 .01472 L
.02605 .01472 L
.02729 .01472 L
.02846 .01473 L
.03053 .01474 L
.03279 .01477 L
.03527 .0148 L
.0379 .01484 L
.04262 .01494 L
.04749 .01508 L
.05205 .01523 L
.06244 .01568 L
.07305 .01629 L
.08274 .01697 L
.10458 .01895 L
.12357 .02117 L
.14429 .02413 L
.18493 .03156 L
.22406 .04074 L
.26565 .05267 L
.30571 .06629 L
.34426 .08135 L
.38527 .0995 L
.42475 .11904 L
.46273 .13973 L
.50315 .16382 L
.54206 .18901 L
.58342 .21794 L
.62326 .24791 L
.66159 .27868 L
.70238 .31352 L
.74164 .3491 L
.77939 .3852 L
.8196 .42567 L
.85828 .4666 L
.89942 .51225 L
.93905 .5583 L
.97619 .60332 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.9375},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/P800@400ooo8Ol00?oo8Ol00?oo8Ol0
04?o00<<00Ol00G002Co00<<00Ol1o`So`033007o0K`9?l00``01o`6l2Wo00@000Go0012o`04?008
o`03?00To`04?00:o`03?00So`04?008o`04?00To`04?008o`04?00/o`03?0001?l00012o`04?009
o`03?00So`04?007o`D09?l013`02?l013`09?l013`02?l013`0;?l00c`000Co0000@_l013`02_l0
0c`08_l013`01ol013`09Ol013`02?l00`009Ol013`02Ol00``0;?l00c`000Co0000@_l013`02ol0
0c`08Ol013`02?l00c009Ol013`02?l00c`09Ol013`02?l013`0;?l00c`000Co00005Ol00c`0:_l0
13`02?l013`08ol013`02Ol00``09?l013`02?l00c`09Ol013`02?l013`0:_l00`001_l001Go00<l
02_o00<<00Wo00<<02Co00<<00[o00<l02Co00<<00Wo00<002Go00<<00Wo00<<02co00<l0004o`00
01Go00<l0?oo2Ol001Go00<l0?oo2Ol000koo`0C00005Ol00c`02_l;00Kc2Ol00c`02_l00c`02_l0
0c`02_l00c`02_l00c`02_l00c`02_l00c`02_l00c`02_l00c`02_l00c`02_l00c`02_l00c`02_l0
0c`02_l00c`02_l00c`02_l00c`02_l00c`02_l00c`000Co00005Ol00c`05Ol801Co00<l037o00<l
037o00<l037o00<l037o00<l0004o`0001Go00<l01go1P3Uo`005Ol00c`08ol50>3o000Eo`03?00X
o`D0fol001Go00<l02go00@00=Oo000Eo`03?00ao`04003Co`005Ol00``0=Ol01000col001Go00<l
03Wo00<00<co000Eo`03?00lo`040038o`005Ol00c`0@?l00``0aOl001Go00<l04;o00<00<?o000E
o`03?015o`030030o`005Ol00c`0B?l00`00_Ol001Go00<l04_o00<00;[o000Eo`03301>o`03302g
o`005Ol00c`0D?l00`00]Ol001Go00<l05?o00<<0;;o000Eo`03?01Eo`03002`o`005Ol00c`0F?l0
0``0[Ol001Go00<l05[o00<<0:_o000Eo`03?01Lo`03302Yo`005Ol00c`0G_l00`00Yol001Go00<<
067o00<<0:Co000Eo`03?01So`03302Ro`005Ol00c`0IOl00``0X?l001Go00<l06Oo00<<09ko000E
o`03?01Yo`03302Lo`005Ol00c`0J_l00`00Vol00006o3001o`01<0023m/o`03?02Ho`001O<00c`0
1_l013l01oa]o`03302Go`001O<00c`01ol01Co01L1_o`03302Eo`001O<00c`02?l00c`01_=ao`03
302Co`001O<00c`02Ol8?g?o00<<097o0005l`03?006o`03?008?gGo00<l08oo00001O`02_l00``0
1oafo`03302>o`005Ol00c`0NOl00``0S?l001Go00<l07_o00<l08[o000Eo`03?01lo`033029o`00
5Ol00``0O_l00``0Qol001Go00<l083o00<l08Go000Eo`03?021o`033024o`005Ol00c`0Pol00c`0
P_l001Go00<l08Co00<<087o000Eo`03?026o`03301oo`005Ol00c`0R?l00c`0OOl001Go00<l08Wo
00<<07co000Eo`03302:o`03301ko`005Ol00c`0S?l00c`0NOl001Go00<l08go00<<07So000Eo`03
?02?o`03?01fo`005Ol00c`0T?l00``0MOl001Go00<l09;o00<l07?o000Eo`03?02Co`03301bo`00
5Ol00c`0UOl00c`0L?l001Go00<<09Ko00<l06oo000Eo`03?02Go`03301^o`005Ol00c`0VOl00c`0
K?l001Go00<l09[o00<l06_o000Eo`03?02Ko`03301Zo`005Ol00c`0WOl00c`0J?l00006o3001o`7
o0G?WOl00c`0Iol000Gc00<l00So00<l00KcW_l00``0I_l000Gc00<l00Go1@001_`00:7o00<l06Co
0005l`03?005o`05?<07o:7o00<l06?o0005l`03?006o`04<`07o:;o00<l06;o0005l`03?007o`03
3007o:?o00<<067o00001O`02ol00c`01_>Uo`03?01Oo`005Ol00c`0Yol00c`0G_l001Go00<l0:So
00<l05go000Eo`03?02Yo`03301Lo`005Ol00``0Zol00c`0F_l001Go00<l0:co00<l05Wo000Eo`03
?02]o`03?01Ho`005Ol00c`0[_l00c`0Eol001Go00<l0:oo00<<05Ko000Eo`03?02ao`03?01Do`00
5Ol00c`0/_l00c`0Dol001Go00<l0;?o00<l05;o000Eo`03302do`03?01Ao`005Ol00c`0]Ol00c`0
D?l001Go00<l0;Ko00<<04oo000Eo`03?02ho`03?01=o`005Ol00c`0^Ol00c`0C?l001Go00<l0;[o
00<l04_o000Eo`03?02ko`03?01:o`005Ol00c`0_?l00c`0BOl001Go00<l0;go00<l04So000Eo`03
302no`03?017o`005Ol00c`0_ol00c`0A_l001Go00<l0<3o00<<04Go000Eo`03?032o`03?013o`00
5Ol00c`0`ol00c`0@_l00006o3001o`6l0Kc`ol00c`0@Ol000Gc00<l00Ko00<l00Poa?l00c`0@?l0
00Gc00<l00Ko00<l00PoaOl00c`0?ol000Gc00<l00Ko00H3l005`<Ko00<l03ko0005l`03?006o`04
?`07o<Oo00<l03go0005l`03?006o`04?`07o<So00<l03co00001O`02_l00`001oc9o`03?00ko`00
5Ol00c`0bol00c`0>_l001Go00<l0<co00<l03Wo000Eo`03?03=o`03?00ho`005Ol00c`0c_l00c`0
=ol001Go00<<0<oo00<l03Ko000Eo`03?03@o`03?00eo`005Ol00c`0dOl00c`0=?l001Go00<l0=;o
00<l03?o000Eo`03?03Co`03?00bo`005Ol00c`0e?l00c`0<Ol001Go00<l0=Go00<l033o000Eo`03
?03Fo`03?00_o`005Ol00``0eol00c`0;_l001Go00<l0=So00<l02go000Eo`03?03Io`03?00/o`00
5Ol00c`0f_l00c`0:ol001Go00<l0=_o00<l02[o000Eo`03?03Lo`03?00Yo`005Ol00c`0gOl00c`0
:?l001Go00<l0=go00<l02So000Eo`03303No`03?00Wo`005Ol00c`0gol00c`09_l001Go00<l0>3o
00<l02Go000Eo`03?03Qo`03?00To`005Ol00c`0h_l00c`08ol00006o3001o`6l0Kch_l00c`08_l0
00Gc00<l00Ko00<l00Pohol00c`08Ol000Gc00<l00Ko00<l00Poi?l00c`08?l000Gc00<l00Oo00D?
`0G0iOl00c`07ol000Gc00<l00Ko00<l00Poi_l00c`07_l000Gc00<l00Ko00<l00Poiol00c`07Ol0
0005o00:o`033007o>Oo00<l01go000Eo`03?03Yo`03?00Lo`005Ol00c`0j_l00c`06ol001Go00<l
0>_o00<l01[o000Eo`03?03/o`03?00Io`005Ol00``0kOl00c`06?l001Go00<l0>ko00<l01Oo000E
o`03?03_o`03?00Fo`005Ol00c`0kol00c`05_l001Go00<l0?3o00<l01Go000Eo`03?03ao`03?00D
o`005Ol00c`0l_l00c`04ol001Go00<l0??o00<l01;o000Eo`03303do`03?00Ao`005Ol00c`0mOl0
0c`04?l001Go00<l0?Ko00<l00oo000Eo`03?03fo`03?00?o`005Ol00c`0mol00c`03_l001Go00<l
0?So00<l00go000Eo`03?03io`03?00<o`005Ol00c`0n_l00c`02ol001Go00<<0?_o00<l00[o000E
o`03?03ko`03?00:o`005Ol00c`0o?l00c`02Ol001Go00<l0?go00<l00So000Eo`03?03no`03?007
o`003_l00`0023ono`03?006o`004?l00c`01_?no`03?006o`004?l00c`01_?oo`03?005o`004?l0
13l01L3oo`7o00<l0004o`00013o00<l00Kcool8o`003_l010<01ocoo`So000@o`03?006looo2?l0
01Go00<l0?oo2Ol00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.9375, 0}} -> {-0.082339, -0.071887, 
  0.003845, 0.006221}}],

Cell[BoxData[
    TagBox[\(\[SkeletonIndicator]  Graphics  \[SkeletonIndicator]\),
      False,
      Editable->False]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(start\  = \ 3; \nhigher\  = \ 3; \nlower\  = \ 3; \nsteps\  = \ 12; \n
    section3\  = \ 
      Table[N[{start + x/steps, \ lower\ *\((higher/lower)\)^\((x/steps)\)}], 
        \ {x, \ 0, \ 12}]\ \)\)], "Input"],

Cell[BoxData[
    \({{3.`, 3.`}, {3.08333333333333348`, 3.`}, {3.16666666666666651`, 3.`}, {
        3.25`, 3.`}, {3.33333333333333348`, 3.`}, {3.41666666666666651`, 
        3.`}, {3.5`, 3.`}, {3.58333333333333348`, 3.`}, {
        3.66666666666666651`, 3.`}, {3.75`, 3.`}, {3.83333333333333357`, 
        3.`}, {3.91666666666666642`, 3.`}, {4.`, 3.`}}\)], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Show[a, \ 
      Graphics[{Thickness[0.01], \ Dashing[{0.01, \ 0.01}]\ , \n\t\t\t
          Line[section], \ Line[section2], \ Line[section3], \ \n\t\t\t
          Line[section4]}]]; \)\)], "Input"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .33333 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
/Times-Roman findfont 16  scalefont  setfont
% Scaling calculations
0.02381 0.15873 0.007937 0.075586 [
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.02381 -0.0125 -6 -15 ]
[.02381 -0.0125 6 0 ]
[.18254 -0.0125 -6 -15 ]
[.18254 -0.0125 6 0 ]
[.34127 -0.0125 -6 -15 ]
[.34127 -0.0125 6 0 ]
[.5 -0.0125 -6 -15 ]
[.5 -0.0125 6 0 ]
[.65873 -0.0125 -6 -15 ]
[.65873 -0.0125 6 0 ]
[.81746 -0.0125 -6 -15 ]
[.81746 -0.0125 6 0 ]
[.97619 -0.0125 -6 -15 ]
[.97619 -0.0125 6 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .00794 -12 -7.5 ]
[-0.0125 .00794 0 7.5 ]
[-0.0125 .08352 -12 -7.5 ]
[-0.0125 .08352 0 7.5 ]
[-0.0125 .15911 -12 -7.5 ]
[-0.0125 .15911 0 7.5 ]
[-0.0125 .23469 -12 -7.5 ]
[-0.0125 .23469 0 7.5 ]
[-0.0125 .31028 -12 -7.5 ]
[-0.0125 .31028 0 7.5 ]
[ 0 0 -0.125 0 ]
[ 0 .33333 .125 0 ]
[ 1 0 .125 0 ]
[ 0 -0.00706 0 0 ]
[ 1 .33333 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.02381 0 m
.02381 .00625 L
s
gsave
.02381 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.18254 0 m
.18254 .00625 L
s
gsave
.18254 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.34127 0 m
.34127 .00625 L
s
gsave
.34127 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.5 0 m
.5 .00625 L
s
gsave
.5 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.65873 0 m
.65873 .00625 L
s
gsave
.65873 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.81746 0 m
.81746 .00625 L
s
gsave
.81746 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 16.000000 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(5) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.97619 0 m
.97619 .00625 L
s
gsave
.97619 -0.0125 -67 -19 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.937500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(6) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 0 m
1 0 L
s
0 .00794 m
.00625 .00794 L
s
gsave
-0.0125 .00794 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(0) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .08352 m
.00625 .08352 L
s
gsave
-0.0125 .08352 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(1) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .15911 m
.00625 .15911 L
s
gsave
-0.0125 .15911 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(2) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .23469 m
.00625 .23469 L
s
gsave
-0.0125 .23469 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(3) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
0 .31028 m
.00625 .31028 L
s
gsave
-0.0125 .31028 -73 -11.5 Mabsadd m
1 1 Mabs scale
currentpoint translate
0 23 translate 1 -1 scale
63.000000 15.812500 moveto
%%IncludeResource: font Times-Roman
%%IncludeFont: Times-Roman
/Times-Roman findfont 16.000000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000000 0.000000 0.000000 setrgbcolor
(4) show
1.000000 setlinewidth
%%DocumentNeededResources: font Times-Roman
%%DocumentSuppliedResources:
%%DocumentNeededFonts: Times-Roman
%%DocumentSuppliedFonts:
%%DocumentFonts: font Times-Roman
grestore
.125 Mabswid
0 .02305 m
.00375 .02305 L
s
0 .03817 m
.00375 .03817 L
s
0 .05329 m
.00375 .05329 L
s
0 .06841 m
.00375 .06841 L
s
0 .09864 m
.00375 .09864 L
s
0 .11376 m
.00375 .11376 L
s
0 .12887 m
.00375 .12887 L
s
0 .14399 m
.00375 .14399 L
s
0 .17423 m
.00375 .17423 L
s
0 .18934 m
.00375 .18934 L
s
0 .20446 m
.00375 .20446 L
s
0 .21958 m
.00375 .21958 L
s
0 .24981 m
.00375 .24981 L
s
0 .26493 m
.00375 .26493 L
s
0 .28005 m
.00375 .28005 L
s
0 .29516 m
.00375 .29516 L
s
0 .3254 m
.00375 .3254 L
s
.25 Mabswid
0 0 m
0 .33333 L
s
0 .33333 m
1 .33333 L
s
1 0 m
1 .33333 L
s
1 1 1 r
.5 Mabswid
.02381 .00794 m
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
.02381 .00794 L
s
0 w
.02381 .3254 Mdot
.02381 .00794 Mdot
0 g
.012 w
.02381 .00794 m
.02381 .00794 L
s
.18254 .08352 m
.18254 .00794 L
s
.34127 .31028 m
.34127 .00794 L
s
.5 .23469 m
.5 .00794 L
s
.65873 .23469 m
.65873 .00794 L
s
.81746 .08352 m
.81746 .00794 L
s
.97619 .00794 m
.97619 .00794 L
s
.03 w
.02381 .00794 Mdot
.18254 .08352 Mdot
.34127 .31028 Mdot
.5 .23469 Mdot
.65873 .23469 Mdot
.81746 .08352 Mdot
.97619 .00794 Mdot
.01 w
[ .01 .01 ] 0 setdash
.18254 .08352 m
.19577 .09278 L
.20899 .10317 L
.22222 .11483 L
.23545 .12792 L
.24868 .14262 L
.2619 .15911 L
.27513 .17762 L
.28836 .1984 L
.30159 .22173 L
.31481 .24791 L
.32804 .27729 L
.34127 .31028 L
s
.34127 .31028 m
.3545 .30312 L
.36772 .29613 L
.38095 .2893 L
.39418 .28263 L
.40741 .27613 L
.42063 .26977 L
.43386 .26357 L
.44709 .25752 L
.46032 .2516 L
.47354 .24583 L
.48677 .2402 L
.5 .23469 L
s
.5 .23469 m
.51323 .23469 L
.52646 .23469 L
.53968 .23469 L
.55291 .23469 L
.56614 .23469 L
.57937 .23469 L
.59259 .23469 L
.60582 .23469 L
.61905 .23469 L
.63228 .23469 L
.6455 .23469 L
.65873 .23469 L
s
.65873 .23469 m
.67196 .21486 L
.68519 .19675 L
.69841 .18023 L
.71164 .16516 L
.72487 .15141 L
.7381 .13885 L
.75132 .1274 L
.76455 .11695 L
.77778 .10741 L
.79101 .09871 L
.80423 .09077 L
.81746 .08352 L
s
0 0 m
1 0 L
1 .33333 L
0 .33333 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{392.0625, 130.625},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000690000P`800@400oooR_l00?ooR_l00?ooR_l0
0?oo=?l00`00<_l010007Ol002[o00@0037o1@0_o`H0<?l01000=?l00c`0;ol013`0<?l83a[o000Y
o`P?<?l00c`0;ol00``01_</o`P?<Ol00c`0<ol00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00`
o`03?00fo`03?00]o`H0=?l00c`0;Ol00c`01_<Io`00:Ol00c`01_<_o`03?00ao`03?00eo`03?00]
o`Po<Ol00``0;_l83a[o000Yo`03?006lboo00<l03;o00<l03?o00<l02oo00@l03?o00<<033o00@0
01go000Yo`03?006lboo00<l03;o00<<037o00<<037o00@<037o00<003;o00<l01ko000Yo`03?006
lboo00<l03?o00<l03;o00<l033o00<`037o00<l03?o00<l01go000Yo`03?006lboo00<l02oo23l]
o`03?006lboo00<<037o00<l03?o00<<01co000Yo`P?;_l00`00<Ol5333o20l`o`03300ao`04000c
o`03300Ko`00:_l01000<ol00c`0<?l00`00<_l01000=?l00c`0QOl00?ooR_l00?ooR_l00?ooR_l0
02_o00@00?oo>ol010007?l001So00@000go203oocOo200Jo`005ol83`Goo`1A01Go000Go`03?006
l`03o006c`T0;ol00``0<_l00``0<_l00``0<_l00``0<_l00``0;_l:00Ol4_l001Oo00<l00Kc00?l
00K?2@0^o`04000ao`04000ao`04000ao`04000ao`04000^o`X01o`Bo`005ol00c`01_<00o`02<07
02ko00@0037o00@0037o00@0037o00@0037o00@002ko2P07o1;o000Go`03?006l`03o006c`T0;_l0
1000<Ol01000<Ol01000<Ol01000<Ol01000;_l:00Ol4_l001Oo00<l00Kc00?l00G?00?000H0;ol0
1000<Ol01000<Ol01000<Ol01000<Ol01000;ol80003o005ca;o000Go`03?006l`03o005c`03`006
02oo00@0037o00@0037o00@0037o00@0037o00@002oo20000o`01LlBo`005ol83`Go00/oo000<Ol0
1000<Ol01000<Ol01000<Ol01000<Ol01000<Ol010001_l00c`04ol001So00@000So00<003Wo00@0
037o00@0037o00@0037o00@0037o00@003_o00<l01?o000To`03?00io`04000ao`04000ao`04000a
o`04000ao`04000ko`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000>ol0
0c`04ol002Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@003_o00<l01?o000To`03?00i
o`04000ao`04000ao`04000ao`04000ao`04000ko`03?00Co`009?l00`00>Ol01000<Ol01000<Ol0
1000<Ol01000<Ol01000>ol00c`04ol002Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@0
03_o00<l01?o000To`03?00io`04000ao`04000ao`04000ao`04000ao`04000ko`03?00Co`009?l0
0c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000>ol00c`04ol002Co00<l03Wo00@0037o00@0
037o00@0037o00@0037o00@003_o00<l01?o000To`03000io`04000ao`04000ao`04000ao`04000a
o`04000ko`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol01000<Ol01000>ol00c`04ol0
02Co00<l03Wo00@0037o00@0037o00@0037o00@0037o00@003_o00<l01?o000To`03?00io`04000a
o`04000ao`04000ao`04000ao`04000ko`03?00Co`009?l00c`0>Ol01000<Ol01000<Ol01000<Ol0
1000<Ol01000>ol00c`04ol002Co00<003Wo00@0037o00@0037o00@0037o00@0037o00@003_o00<l
01?o000Ho`D01ol00c`0=ol802oo00@0037o00@0037o00@002oo200io`03?00Co`006_l00c`01ol0
0c`0=ol802oo00@0037o00@0037o00@002oo200io`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0
037o00@0037o00@002ko2P0ho`03?00Co`006_l00c`01ol00c`0=_l:02ko00@0037o00@0037o00@0
02ko2P0ho`03?00Co`006_l00c`01ol00`00=_l:02ko00@0037o00@0037o00@002ko2P0ho`03?00C
o`006_l00c`01ol00c`0=_l:02ko00@0037o00@0037o00@002ko2P0ho`03?00Co`006_l00c`01ol0
0c`0=ol802oo00@0037o00@0037o00@002go2P0io`03?00Co`006_l00c`01ol00c`0=ol;02co00@0
037o00@0037o00@002co2`0io`03?00Co`006?l00`002Ol00c`0>Ol00`001C`00``0:_l01000<Ol0
1000<Ol01000;?l02@?0000ko`03?00Co`006_l00c`01ol00`00?ol502[o00@0037o00@0037o00@0
02So00<004Go00<l01?o000To`03?011o`03000Zo`04000ao`04000ao`04000Wo`040015o`03?00C
o`009?l00c`0@_l00``0:Ol01000<Ol01000<Ol010009_l01000A_l00c`04ol002Co00<l04Co00@0
02Ko00@0037o00@0037o00@002Oo00<l04Ko00<l01?o000To`03?014o`D09Ol01000<Ol01000<Ol0
10008_l00`00Bol00c`04ol002Co00<004Go00@002Go00@0037o00@0037o00@0027o00@004_o00<l
01?o000To`03?017o`03?00To`04000ao`04000ao`04000Qo`03001<o`03?00Co`009?l00c`0B_l0
0``08Ol01000<Ol01000<Ol010007_l00``0Col00c`04ol002Co00<l04Wo00@0027o00@0037o00@0
037o00@001go00<0053o00<l01?o000To`03?01:o`04000Po`04000ao`04000ao`04000Lo`04001@
o`03?00Co`009?l00`00Bol00`008?l01000<Ol01000<Ol010006ol01000DOl00c`04ol002Co00<l
04co00<<01oo00@0037o00@0037o00@001_o00<005;o00<l01?o000To`03?01?o`03300Lo`04000a
o`04000ao`04000Ho`03001Eo`03?00Co`009?l00c`0C_l00`007Ol01000<Ol01000<Ol010005ol0
1000EOl00c`04ol002Co00<l04ko00@001co00@0037o00@0037o00@001Ko00@005Ko00<l01?o000T
o`03001?o`03000Lo`04000ao`04000ao`04000Go`03301Fo`03?00Co`005ol600Oo00<l053o00<l
01_o00@0037o00@0037o00@001Co00<l05Wo00<l01?o000Go`033006l`03o005ce7o00<001Wo00@0
037o00@0037o00@001?o00<005[o00<l01?o000Ho`03?009o`03?01Bo`04000Ho`04000ao`04000a
o`04000Bo`04001Jo`03?00Co`006Ol00c`02?l00c`0D_l010006?l01000<Ol01000<Ol010004_l0
0`00Fol00c`04ol001[o00<l00Oo00<005?o00@001Oo00@0037o00@0037o00@001;o00<<05_o00<l
01?o000Jo`033007o`03?01Do`03000Go`04000ao`04000ao`04000?o`03301No`03?00Co`006ol0
0c`01_l00c`0K_l01000<Ol01000<Ol010003_l00`00Gol00c`04ol001Oo23l5o`03?01Fo`03000E
o`04000ao`04000ao`04000=o`04001Oo`03?00Co`005ol530So00<l05Oo00<001Co00@0037o00@0
037o00@000go00<0063o00<l01?o000Ho`030009o`03001Go`03000Do`04000ao`04000ao`04000>
o`03?01Oo`03?00Co`009?l00c`0F?l00``04ol01000<Ol01000<Ol010002ol00c`0H_l00c`04ol0
02Co00<l06ko00@0037o00@0037o00@000[o00<006?o00<l01?o000To`03?01Ko`03?00@o`04000a
o`04000ao`040009o`04001So`03?00Co`009?l00c`0F_l00`004Ol01000<Ol01000<Ol010002Ol0
0`00I?l00c`04ol002Co00<005_o00<0013o00@0037o00@0037o00@000[o00<l06?o00<l01?o000T
o`03?01Ko`03000@o`04000ao`04000ao`040006o`03301Wo`03?00Co`009?l00c`0G?l00c`03ol0
1000<Ol01000<Ol010001_l00`00Iol00c`04ol002Co00<l06ko00@0037o00@0037o00@000Go00@0
06Oo00<l01?o000To`03?01No`03300=o`04000ao`04000ao`040005o`03001Xo`03?00Co`009?l0
0`00G_l00`003Ol01000<Ol01000<Ol010001Ol00``0J?l00c`04ol002Co00<l05ko00<000go00@0
037o00@0037o00@0073o00<l01?o000To`03?01Oo`03300<o`04000ao`04000ao`030005?003?01Y
o`03?00Co`009?l00c`0H?l00c`02ol01000<Ol01000<Ol00`001C`00c`0JOl00c`04ol002Co00<l
067o00<<00[o00@0037o00@0037o00<000H`Jol00c`04ol002Co00<0067o00<000[o00@0037o00@0
037o00@000G3Jol00c`04ol002Co00<l067o00<000[o00@0037o00@0037o00@0073o00<l01?o000H
o`040008o`03?01Ro`030009o`04000_o`P0;Ol806ko00<l01?o000Go`P?1Ol00c`0H_l00`002Ol0
1000;ol802go201^o`03?00Co`007?l00c`01Ol00c`0K_l01000;_l:02_o2P1]o`03?00Co`007?l0
0c`01Ol00c`0I?l00``01ol01000;_l:0004`0063`073l063`080l05?`050l0<06go00<l01?o000K
o`03?006o`03001To`030007o`04000^oaL000?0014000?00140KOl00c`04ol001Wo00<<00So00<l
06Co00<000Oo00@002go2`001<001Pl01`o01Pl020?01Cl01@?0301]o`03?00Co`006ol00c`01_l0
0c`0IOl00`001_l01000:_l63`L0;Ol806ko00<l01?o000Go`03?006l`03o005cfCo00<000Ko00@0
02Oo1@000o`0200]o`P0K_l00c`04ol001Oo20l5o`03?01^o`04000Wo`D01Ol01000<Ol01000L?l0
0c`04ol001So00@000So00<006Oo00/?o0008ol63`03?02^o`03?00Co`009?l00c`0Iol02`?l000Q
o`D0]?l00c`04ol002Co00<l06Oo00/3o0008Ol01000]Ol00c`04ol002Co00<l06Oo00/3o0007?l0
0`001obdo`03?00Co`009?l00c`0J?l02P?`01_o1@2jo`03?00Co`009?l00`00JOl02Co0000Ho`Dl
00<l0;[o00<l01?o000To`03?01Zo`Do00<001Ko00@00<3o00<l01?o000To`03?01Zo`H?00<<01Co
1@30o`03?00Co`009?l00c`0J_l70`03?00@o`Dl00<l0<3o00<l01?o000To`03?01Zo`L300<l00ko
00@00<Ko00<l01?o000To`03001[o`H<00<l00go1@36o`03?00Co`009?l00c`0Jol63003?00:o`Dl
00<l0<Ko00<l01?o000To`03?01]o`D02_l01000c?l00c`04ol002Co00<l06co1P09o`D0c?l00c`0
4ol002Co00<l06co1P06o`Dl00<l0<co00<l01?o000To`03001]o`D000So0=;o00<l01?o000Ko`03
?006o`03?01/o`P000K0003Bo`03?00Co`006ol00c`01_l00c`0K?l800G0dol00c`04ol001Oo1P07
o`03?01[o`X0eol00c`04ol001Oo23l5o`03?01[o`X0eol00c`04ol001So00@l00So00<006_o2P3G
o`03?00Co`006?l010`02?l00c`0Jol:0=Oo00<l01?o000Io`03<008o`03?01/o`P0f?l00c`04ol0
01[o00<<00Oo00<l06co203Ho`03?00Co`006_l00``01ol00c`0K_l01000f_l00c`04ol001_o00<l
00Ko00<00?ooCOl00c`04ol002Co00<l0?ooCOl00c`04ol002Coo`1A01Go0000\
\>"],
  ImageRangeCache->{{{0, 391.0625}, {129.625, 0}} -> {-0.845126, -0.824394, 
  0.018843, 0.039571}}]
}, Open  ]]
},
FrontEndVersion->"NeXT 3.0",
ScreenRectangle->{{0, 957}, {0, 768}},
WindowSize->{520, 600},
WindowMargins->{{Automatic, 170}, {Automatic, 2}}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1731, 51, 164, 3, 39, "Input"],
Cell[1898, 56, 16273, 565, 139, 9759, 480, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[18208, 626, 243, 4, 53, "Input"],
Cell[18454, 632, 17619, 592, 139, 9923, 493, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36110, 1229, 316, 5, 65, "Input"],
Cell[36429, 1236, 183, 3, 46, "Message"]
}, Open  ]],

Cell[CellGroupData[{
Cell[36649, 1244, 58, 1, 24, "Input"],
Cell[36710, 1247, 17605, 594, 139, 9973, 495, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]],

Cell[CellGroupData[{
Cell[54352, 1846, 70, 1, 24, "Input"],
Cell[54425, 1849, 8396, 304, 186, 3433, 238, "GraphicsData", 
"PostScript", "Graphics"],
Cell[62824, 2155, 130, 3, 24, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[62991, 2163, 234, 4, 105, "Input"],
Cell[63228, 2169, 367, 5, 63, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[63632, 2179, 220, 4, 64, "Input"],
Cell[63855, 2185, 18055, 634, 139, 10610, 538, "GraphicsData", 
"PostScript", "Graphics"]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

